SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001232SiT!outbound emailpublic2010-04-06 15:122010-05-29 14:20
Reportersancho78rus 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.60 LTS 
Target Version3.61 LTSFixed in Version3.61 LTS 
Summary0001232: Outbound mail marks as spam because of subject encoding
DescriptionMax score for this: SUBJECT_NEEDS_ENCODING
Subject looks like this: ???¶?±?° ?????????µ???¶???? ?????????? - ?????µ???° ???°?????»??

Tried on EMAIL_CONTACT_RESET_PASSWORD.
Subject in russian.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002938)
sancho78rus (reporter)
2010-04-06 15:21

The same with EMAIL_CONTACT_RESET_PASSWORD.

As said my client, who recieve theese emails, subject and headers must be in rfc2047 standart.
User avatar (0002939)
ivan (administrator)
2010-04-06 15:33

I haven't tried this out, but I'm confirming this because the reset password emails use an older mail routine that doesn't encode subjects.

Can you confirm that other emails sent from SiT! are ok?
(0002940)
sancho78rus (reporter)
2010-04-06 15:40

i tryed only theese 2 templates. i can tell you later about others. but if you'll fix something - we can quickly try it
User avatar (0002999)
ivan (administrator)
2010-04-10 18:39

I've received an email from your system (sancho78rus) and I can confirm this bug based on the headers that my Spamassasin added

X-Spam-Status: No, score=2.7 required=4.0 tests=BAYES_00,HEAD_ILLEGAL_CHARS,
    RDNS_NONE,SUBJECT_NEEDS_ENCODING,SUBJ_ILLEGAL_CHARS autolearn=no version=3.2.5
User avatar (0003014)
ivan (administrator)
2010-04-11 10:47

Fixed in Git a8b1505
User avatar (0003015)
ivan (administrator)
2010-04-11 11:23

Fixed in svn r6427 ready for 3.61 release
(0003030)
sancho78rus (reporter)
2010-04-12 12:21

its now worse than it was. Its now not readable even in Bat.
i made the same change changes as here: http://sitracker.svn.sourceforge.net/viewvc/sitracker/branches/3.x/lib/functions.inc.php?r1=6427&r2=6426&pathrev=6427 [^]
(0003031)
sancho78rus (reporter)
2010-04-12 12:30
edited on: 2010-04-12 12:30

the problem that our email address in header is splited on two lines
like:

support
@our_domain.ru

User avatar (0003032)
ivan (administrator)
2010-04-12 13:08

This was not the only change that fixed this bug, sorry I should have mentioned.

See also
http://sitracker.svn.sourceforge.net/viewvc/sitracker?view=rev&revision=6426 [^]

and http://sitracker.svn.sourceforge.net/viewvc/sitracker?view=rev&revision=6425 [^] may also be worth applying.
User avatar (0003205)
ivan (administrator)
2010-05-29 14:20

Released in v3.61

- Issue History
Date Modified Username Field Change
2010-04-06 15:12 sancho78rus New Issue
2010-04-06 15:21 sancho78rus Note Added: 0002938
2010-04-06 15:33 ivan Note Added: 0002939
2010-04-06 15:33 ivan Assigned To => ivan
2010-04-06 15:33 ivan Status new => confirmed
2010-04-06 15:40 sancho78rus Note Added: 0002940
2010-04-10 18:39 ivan Note Added: 0002999
2010-04-10 18:39 ivan Product Version => 3.60 LTS
2010-04-10 18:39 ivan Target Version => 3.61 LTS
2010-04-11 10:02 ivan Status confirmed => assigned
2010-04-11 10:47 ivan Note Added: 0003014
2010-04-11 10:47 ivan Tag Attached: needsbackporting
2010-04-11 11:22 ivan Tag Detached: needsbackporting
2010-04-11 11:23 ivan Note Added: 0003015
2010-04-11 11:23 ivan Status assigned => resolved
2010-04-11 11:23 ivan Fixed in Version => Current SVN
2010-04-11 11:23 ivan Resolution open => fixed
2010-04-12 12:21 sancho78rus Note Added: 0003030
2010-04-12 12:21 sancho78rus Status resolved => feedback
2010-04-12 12:21 sancho78rus Resolution fixed => reopened
2010-04-12 12:30 sancho78rus Note Added: 0003031
2010-04-12 12:30 sancho78rus Status feedback => assigned
2010-04-12 12:30 sancho78rus Note Edited: 0003031 View Revisions
2010-04-12 13:08 ivan Note Added: 0003032
2010-04-12 13:09 ivan Status assigned => resolved
2010-04-12 13:09 ivan Resolution reopened => fixed
2010-05-29 13:39 ivan Fixed in Version Current SVN => 3.61 LTS
2010-05-29 14:20 ivan Note Added: 0003205
2010-05-29 14:20 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker